Bug 5672 - Ошибка при обновлении
: Ошибка при обновлении
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/libbluez)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
: 5671
:
  Show dependency tree
 
Reported: 2004-12-10 23:38 by
Modified: 2005-10-14 10:38 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-12-10 23:38:40
При обновлении до libbluez-2.10-alt2 
на диске не оказывается libsdp.so.2, который 
нужен для kdebluetooth. 
Предлагается не предоставлять libsdp.so.2, 
а kdebluetooth пересобрать.
------- Comment #1 From 2004-12-10 23:39:34 -------
Эти ошибки связаны 
------- Comment #2 From 2004-12-24 13:11:53 -------
rpm -ql libbluez
/usr/lib/libbluetooth.so.1
/usr/lib/libbluetooth.so.1.0.10
/usr/lib/libsdp.so.2
/usr/share/doc/libbluez-2.10
/usr/share/doc/libbluez-2.10/AUTHORS
/usr/share/doc/libbluez-2.10/ChangeLog
/usr/share/doc/libbluez-2.10/README
------- Comment #3 From 2004-12-24 13:12:40 -------
rpm -ql libbluez
/usr/lib/libbluetooth.so.1
/usr/lib/libbluetooth.so.1.0.10
/usr/lib/libsdp.so.2
/usr/share/doc/libbluez-2.10
/usr/share/doc/libbluez-2.10/AUTHORS
/usr/share/doc/libbluez-2.10/ChangeLog
/usr/share/doc/libbluez-2.10/README
------- Comment #4 From 2004-12-25 00:56:35 -------
это ничего не означает - 
после обновления пакет до libbluez-2.10-alt2 
файла /usr/lib/libsdp.so.2 в системе не оказывается, 
что видно rpm -V libbluez 
------- Comment #5 From 2004-12-26 17:12:48 -------
Что значит нет, проверяйте свою систему. То, что у Вас по rpm -V выдается
ошибка, говорит о том, что файлы исчезли. Переустановите пакет и все будет
работать. И нефиг проблемы в Вашей системе скидывать как ошибка пакета.
------- Comment #6 From 2004-12-26 21:06:49 -------
1. Я хотел бы попросить вас сменить тон и дать конструктивный ответ на 
моё первое сообщение, а именно - зачем пакет libbluez кривыми методами 
предоставляет libsdp.so.2, когда надо просто пересобрать kdebluetooth. 
2. Файлы безусловно исчезли, и делает это post-install скрипт, на мой взгляд. 
Происходит это при обновлении с предыдущей версии. 
3. Я бы списал это на проблемы "моей системы", но поскольку воспроизвёл это 
уже как минимум на 3 системах, остаюсь при своём мнении. 
4. Как добиться работы, ("переустановить пакет") я и сам в данном случае знаю. 
Мне нужна прямота упаковки, без багов. 
------- Comment #7 From 2004-12-29 01:59:32 -------
1.Ответ: он предоставляет libsdp.so.2 не кривым, а вполне нормальным методом, в
виде simlynk на @libbluetooth.so.1, т.к. libsdp.so.2 теперь orphaned и вообще
его уже быть не долджно, надо править соответствующие программы на соответствие
новым библиотекам, для упрощения я сделал симлинк.

2.Файл предоставляется не через postinstall скрипт, а как файл в пакете. К
стати, почему Вам не лень написать коментарии к баге, а вот посмотреть
внимательно в пакет не можете?

3.Проверил в vmware, обновил мастер 2.2 до Сизифа, все нормально работает и
libsdp.so.2 есть.

4.Пакет упакованн нормально и да-же с дополнениями, для упрощения перезборки
сопуствующих пакетов, хотя правильно вообще не делать данный симлинк (почитайте
ChangeLog в libbluez src.rpm)

PS: Всем спасибо за внимание :-)
------- Comment #8 From 2005-01-31 04:12:42 -------
(In reply to comment #7)  
> 4.Пакет упакованн нормально и да-же с дополнениями, для упрощения перезборки  
> сопуствующих пакетов, хотя правильно вообще не делать данный симлинк  
(почитайте  
> ChangeLog в libbluez src.rpm)  
Интересно, о какой проблеме шла речь в записи к 2.10-alt2: Fixed libsdp.so.2  
problem. 
Мне кажется, что описанная мной проблема возникала при обновлении  
с 2.10-alt1 (или 2.7-alt1) на 2.10-alt2. Впрочем, теперь это уже не важно: 
  
В связи со сборкой нового kdebluetooth, который более не требует libsdp, 
напоминаю при случае пересобрать данный пакет без него. 
  
------- Comment #9 From 2005-10-14 10:38:37 -------
Всё, закрываю тему :)